.lotto__wrapper {
	align-items: flex-start;
	display: flex;
	flex-flow: row nowrap;
	justify-content: center;
	padding-bottom: 50px;
	position: relative;
}

.lotto__wrapper .post {
	border-radius: 50%;
	margin: 0;
	overflow: hidden;
	position: relative;
}

.lotto__link {
	border-radius: 50%;
	bottom: 0;
	display: block;
	height: 100%;
	left: 0;
	opacity: 0;
	overflow: hidden;
	position: absolute;
	right: 0;
	top: 0;
	width: 100%;
	z-index: 3;
}

.lotto__ball {
	background-color: var(--wp--preset--color--black-blue, #09061d);
	height: 210px;
	overflow: hidden;
	position: relative;
	width: 210px;
}

.lotto__ball .has-blue-glass-gradient-background {
	backdrop-filter: none;
}

.lotto__ball .wp-post-image {
	mask-image: none;
}

.lotto__ball .wp-block-cover__inner-container {
	align-items: center;
	display: flex;
	flex-flow: column nowrap;
	height: 100%;
	justify-content: space-evenly;
}

.lotto__ball-bg {
	bottom: 0;
	left: 0;
	padding-left: 0 !important;
	padding-right: 0 !important;
	position: absolute;
	right: 0;
	top: 0;
	z-index: 1;
}

.lotto__ball-bg .wp-block-post-featured-image {
	display: block;
	height: 100%;
	width: 100%;
}

.lotto__ball-bg .wp-block-post-featured-image :where(img) {
	height: 100%;
	width: 100%;
	max-width: unset;
}

.lotto__ball-data {
	margin: 0;
	padding-left: 0 !important;
	padding-right: 0 !important;
	position: relative;
	z-index: 2;
}

.lotto__wrapper--grid {
	align-items: flex-start;
	display: flex !important;
	flex-flow: row wrap;
	gap: 0;
	justify-content: center;
	padding-bottom: 0;
}

.lotto__wrapper--grid .post {
	transform: scale(0.82);
	transition: all 0.8s ease-in-out;
}

.lotto__wrapper--grid .post:has(.lotto__link:hover) {
	transform: scale(1.2);
	transform-origin: center;
	z-index: 99999;
	-webkit-box-shadow: 0px 0px 21px 0px #011137;
	box-shadow: 0px 0px 21px 0px #011137;
	transition: all 0.8s ease-in-out;
}

.lotto__date {
	box-sizing: border-box;
	color: var(--wp--preset--color--white) !important;
	font-family: var(--wp--preset--font-family--primary) !important;
	font-size: clamp(14px, 0.875rem + ((1vw - 3.2px) * 0.063), 15px);
	font-style: normal;
	font-weight: 400;
	line-height: 1.5;
	margin: 0;
	text-align: center;
}

.wp-block-query.order-center-out {
	width: 100%;
}

.lotto__wrapper--hero {
	align-items: unset;
	display: block;
	flex-flow: unset;
	height: 200px;
	justify-content: unset;
	list-style: none;
	margin: 45px auto 0 !important;
	padding: unset;
	perspective: 1000px;
	position: relative;
}

.lotto__wrapper--hero .post {
	--hover-scale-speed: 0.5s;
	left: 50%;
	opacity: 0;
	position: absolute;
	top: 50%;
	transform: translate(-50%, -50%);
	transition:
		transform 0.5s ease-in-out,
		opacity 0.5s ease-in-out;
}

.lotto__wrapper--hero.no-transition .post {
	transition: none !important;
}

.rotator-controls {
	align-items: center;
	display: flex;
	gap: 50px;
	justify-content: center;
	margin: 50px auto;
}

.rotator-controls button {
	background: none;
	border: none;
	color: white;
	cursor: pointer;
	font-size: 1.5rem;
	outline: none;
}

.lotto__wrapper--hero .post:has(.lotto__link:hover) {
	-webkit-box-shadow: 0px 0px 25px 15px rgba(1, 17, 55, 0.5);
	box-shadow: 0px 0px 25px 15px rgba(1, 17, 55, 0.5);
	transform: translate(-50%, -50%) translateX(var(--x-position))
		translateY(var(--y-position)) scale(1.2) !important;
	transition: all var(--hover-scale-speed) ease-in-out;
	z-index: 6 !important;
}

.lotto__wrapper .post:has(.lotto__link--disabled) {
	cursor: not-allowed !important;
	opacity: 0.65 !important;
	pointer-events: none !important;
}
